package io.zipcoder.blue_coin_application;

import io.zipcoder.blue_coin_application.model.Block;
import io.zipcoder.blue_coin_application.model.Blockchain;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class TestBlockchain {

    @Before
    public void initialize() {
        Blockchain.abbBlockToChain(new Block("any data to add to block goes here", "0"));
        Blockchain.abbBlockToChain(new Block("probably transactions in our case", (Blockchain.getBlockFromChain(Blockchain.getChainSize()-1)).getHash()));
        Blockchain.abbBlockToChain(new Block("are you looking at my test, Mexi?", (Blockchain.getBlockFromChain(Blockchain.getChainSize()-1)).getHash()));
    }

    @Test
    public void testAddBlockToChain() {
        int expected = 3;
        int actual = Blockchain.getChainSize();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testIsChainValid() {
        boolean actual = Blockchain.isChainValid();
        Assert.assertTrue(actual);
    }

}